module.exports = [
  {
    "name": "users",
    "description": "This table has the users",
    "disabled": false,
    "columns": [{
      "name": "id",
      "type": "serial",
      "null": false,
      "primaryKey": true
    }, {
      "name": "name",
      "type": "varchar",
      "size": 30,
      "null": true
    }, {
      "name": "isActive",
      "type": "boolean",
      "isNull": true,
    }, {
      "name": "userType",
      "type": "varchar",
      "size": 10,
      "default": "'regular'",
    }],
    "unique": ["name"],
    "index": ["id"]
  }, {
    "name": "companies",
    "description": "This table has the companies",
    "disabled": false,
    "columns": [{
      "name": "id",
      "type": "serial",
      "null": false,
      "primaryKey": true
    }, {
      "name": "name",
      "type": "varchar",
      "size": 30,
      "null": true
    }, {
      "name": "owner",
      "type": "int",
      "null": false,
      "default": 0,
    }, {
      "name": "dateCreated",
      "type": "timestamp",
      "default": "now()",
    }],
    "foreignKeys": [{
      "column": "owner",
      "referenceTable": "users",
      "referenceColumn": "id",
      "onDelete": "restrict",
      "onUpdate": "noAction"
    }],
    "unique": ["name"],
    "index": ["id", "name"]
  }
];